Name:           cutecom
Summary:        A graphical serial terminal, like minicom or Hyperterminal on Windows
Version:        0.22.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Communications/Serial
URL:            http://cutecom.sourceforge.net/
Source0:        http://cutecom.sourceforge.net/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.22.0-mga-fixinstall.patch
Patch1:         %{name}-0.22.0-mga-fixicon.patch

BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils
# Required for xmodem support
Requires:       lrzsz

%description
CuteCom is a graphical serial terminal, like minicom or Hyperterminal on
Windows. It is aimed mainly at hardware developers or other people who need
a terminal to talk to their devices.

%prep
%setup -q
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build

# Upstream script does not install the .desktop file if KDE is not installed,
# so we install it manually:
desktop-file-install \
   --remove-key=Path --remove-key=Encoding \
   --remove-key=BinaryPattern --remove-key=TerminalOptions \
   --add-category=System \
   --dir %{buildroot}%{_datadir}/applications/ \
   cutecom.desktop

%files
%doc COPYING README Changelog TODO
%{_bindir}/cutecom
%{_mandir}/man1/cutecom.1*
%{_datadir}/applications/cutecom.desktop


%changelog
* Sun Nov 24 2013 akien <akien> 0.22.0-1.mga4
+ Revision: 552701
- Mageiafication of the Fedora spec file
- imported package cutecom


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 15 2012 Rich Mattes <richmattes@gmail.com> - 0.22.0-4
- Add support for xmodem via lrzsz package (rhbz#848449)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.0-2
- Rebuilt for c++ ABI breakage

* Mon Jan 16 2012 Rich Mattes <richmattes@gmail.com> - 0.22.0-1
- Update to release 0.22.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 - Jose Luis Blanco <joseluisblancoc@gmail.com> 0.20.0-3
- Fixed .desktop file and .spec file comments.

* Tue Feb 17 2009 - Jose Luis Blanco <joseluisblancoc@gmail.com> 0.20.0-2
- Added documentation files.
- Fixed License field.
- .desktop file installed with desktop-file-install

* Sun Feb 15 2009 - Jose Luis Blanco <joseluisblancoc@gmail.com> 0.20.0-1
- Initial packaging for Fedora.

